http-types-0.8.6: Generic HTTP types for Haskell (for both client and server code).

Safe Haskell | Safe-Inferred
Language | Haskell98

Network.HTTP.Types.Version

Synopsis

- data HttpVersion = HttpVersion {
  - httpMajor :: !Int
  - httpMinor :: !Int
  }
- http09 :: HttpVersion
- http10 :: HttpVersion
- http11 :: HttpVersion

# Documentation

data HttpVersion

HTTP Version.

Note that the Show instance is intended merely for debugging.

Constructors

HttpVersion |
Fields httpMajor :: !Int httpMinor :: !Int

Instances

Eq HttpVersion |
Ord HttpVersion |
Show HttpVersion |

http09 :: HttpVersion

HTTP 0.9

http10 :: HttpVersion

HTTP 1.0

http11 :: HttpVersion

HTTP 1.1